// Playground - noun: a place where people can play

import UIKit



class TestType {
    typealias ResultsClosure = ((String) -> Void)

    func isGreater(numOne: Int, numTwo:Int, successHandler: ResultsClosure, failureHandler: ResultsClosure) {
        if numOne > numTwo {
            successHandler("liczba \(numOne) jest większa niż \(numTwo)")
        } else {
            failureHandler("liczba \(numOne) nie jest większa niż \(numTwo)")
        }

    }
}

var success: TestType.ResultsClosure = {
    print("Sukces: \($0)")
}

var failure: TestType.ResultsClosure = {
    print("Niepowodzenie: \($0)")
}

var test = TestType()
test.isGreater(numOne: 6, numTwo: 8, successHandler:success, failureHandler:failure)


